/* -*- mode: c++; c-basic-offset: 4; -*- */
#include "gpstime.hh"
#include "tconv.h"
#include <iostream>

using namespace std;

namespace sends {

    /**  Get the current time as a gps time.
      */
    gps_type 
    gps_now(void) {
	taisec_t tai_now = TAInow()/_ONESEC;
	//cout << "TAI now is: " << tai_now << endl;
	return tai_now;
    }

    /**  Get the current time as a gps time.
      */
    double 
    gps_now_d(void) {
	double tai_now = double(TAInow())/double(_ONESEC);
	//cout << "TAI now is: " << tai_now << endl;
	return tai_now;
    }

}  // namespace sends
